## org.apache.mahout.math
Class VarIntWritable

    java.lang.Object
      org.apache.mahout.math.VarIntWritable

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<VarIntWritable>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<VarIntWritable>

    public class VarIntWritable

extends java.lang.Object
implements org.apache.hadoop.io.WritableComparable<VarIntWritable>, java.lang.Cloneable

Constructor Summary
`VarIntWritable()`
`VarIntWritable(int value)`

Method Summary
`VarIntWritable` `clone()`
`int` `compareTo(VarIntWritable other)`
`boolean` `equals(java.lang.Object other)`
`int` `get()`
`int` `hashCode()`
`void` `readFields(java.io.DataInput in)`
`void` `set(int value)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VarIntWritable

    public VarIntWritable()

### VarIntWritable

    public VarIntWritable(int value)

Method Detail

### get

    public int get()

### set

    public void set(int value)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public VarIntWritable clone()

  Overrides:
    `clone` in class `java.lang.Object`

### compareTo

    public int compareTo(VarIntWritable other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<VarIntWritable>`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.